Bug 7834 - order search at the top of acq does nothing
Summary: order search at the top of acq does nothing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low critical (vote)
Target Milestone: Oldversions
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-27 19:12 UTC by Nicole C. Engard
Modified: 2018-12-16 19:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7834: order search at the top of acq does nothing (2.29 KB, patch)
2012-04-09 07:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7834: order search at the top of acq does nothing (2.34 KB, patch)
2012-04-09 23:30 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-03-27 19:12:59 UTC
The quick search box at the top of the Acq pages gives you an option to search for orders, but that search brings you to the order search regardless of what you entered in the search box and then you have to rerun your search.
Comment 1 Katrin Fischer 2012-03-27 22:52:32 UTC
I confirm that this is a bug in current master.
Comment 2 Katrin Fischer 2012-04-09 07:53:43 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2012-04-09 23:30:12 UTC
Created attachment 9062 [details] [review]
Bug 7834: order search at the top of acq does nothing

Entering a search term for 'title' or 'vendor' at the top search
form in acq (tab 'Orders search') did redirect to the advanced
search form, but didn't start the search.

After applying the patch the search will bring back results immediately
or redirect to the form, when there are no results.

To test:
- Check all searches still work as expected by searching for title,
vendor, order name and invoice number
- Check advanced search still has the search terms prepopulated
- Check searches with and without results are ok

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 4 Ian Walls 2012-04-11 11:14:58 UTC
Adds "do_search" param to search form, forcing it to actually search.  Also cleans up some spacing for readability.  Marking Passed QA.
Comment 5 Katrin Fischer 2012-04-14 10:57:49 UTC
Works on current master.